A triangle in a wrap-formed deltahedron can be assigned its Pankov-Tyc triangle type simply by examining the numbers on the face and on its edges.
Pankov and Tyc have shown that a unicursal (a.k.a., z-knotted) deltahedron may have up to four types of triangle faces, and that these four types determine its compatibility in forming connected sums with other unicursal deltahedra when the sum is constrained to be unicursal. In such case, all three deltahedra, the sum and the two summands, can be wrap-formed. Presented with a wrap-formed deltahedron, how can we most easily assign types to its triangles?
Given a triangle,
read the roadcodes of its 3 edges.
if any starts with a even number:
the triangle is SOLO
if any two start with an odd number:
the triangle is UNISON
get the triangle's STRADDLE ORIENTATION
from any edge that starts
with an odd number:
when you are comfortably
reading both numbers,
edge's orientation is upward.
get the triangle's LAYER ORIENTATION
from the 3 numbers visible on
the triangle's face:
by visiting them
in increasing order
if both orientations agree:
the triangle is CONCORD
else:
the triangle is DISCORD
Type from this mapping:
o = UNISON and CONCORD (M1)
* = UNISON and DISCORD (M2)
+ = SOLO and DISCORD (M3)
- = SOLO and CONCORD (M4)
"Pizza" (or zero-based-index Plantri 7-1) is the smallest unicursal deltahedron that can derived as a connected sum of other unicursal deltahedra, namely two triangular bipyramids.
The smallest composite unicursal deltahedron (composite in the sense that it is a connected sum of two smaller unicursal deltahedra) is the shape we have been calling pizza, a V-shaped, symmetrical composition of two triangular bipyramids. Pankov and Tyc prove that the sum is unicursal, and in fact, in the the photo the shape has been made by wrap forming a single strip of triangles.
A wrap-formed triangular bipyramid.
Though the triangular dihedron (two triangles joined at their edges) is considered a degenerate deltahedron, we make exception for it here because it is identity element in connected sums of deltahedra (and is itself unicursal.) Connected summation of a unicursal deltahedron with the triangular dihedron does not change anything, since removing one of its triangles leaves us with an exact replacement for the triangle we removed from the other deltahedron.
Apart from the triangular dihedron, only one unicursal deltahedron is smaller than the three unicursal deltahedra on 7 vertices: the triangular bipyramid (TBP). Since connected summation with a TBP adds a net of +5 - 3 = 2 vertices, we must look among the 9 vertex unicursal deltahedra for the next generation of composites. (The four unicursal deltahedra on 8 vertices are therefore all prime.)
The three unicursal deltahedra on 7 vertices, clockwise from top: pizza, tricorn and spaceship.
The omnicapping (kis) of any unicursal deltahedron is also a unicursal deltahedron, so we know that this shape, the omnicapping of the triangular bipyramid (J12) is unicursal; but it can also be seen as the connected sum of two tricorns (Plantri 7-2).
This post relies heavily on Mark Pankov and Adam Tyc's paper "Connected sums of Z-knotted triangulations" and later publications by the same authors.
This is my attempt to rephrase their results in terms more suited to weaving.
The exhaustive-search technique of finding unicursal deltahedra by generating all triangulations having a given number of vertices, and then testing each triangulation for unicursality (z-knottedness in Pankov and Tyc's terms) is clearly size-limited: the complexity increases by almost an order of magnitude for each vertex (or pair of triangular faces) that we add.
Perhaps this is a better idea: we make a new unicursal deltahedron by gluing two unicursal deltahedra, one trianglular face to another, and then delete the two glued faces. Mathematically, this operation of fusing two topological spheres into a single topological sphere is called a connected sum. Under what circumstances does a connected sum of two unicursal deltahedra result in a unicursal deltahedron? Pankov and Tyc have looked at this question in detail. It turns out that the rules for combination are fairly simple, and the technique promises to be productive in finding new and larger unicursal deltahedra.
Every edge in a unicursal deltahedron is created by a crossing of two arcs (i.e., a crossing of two different portions of one long strip of triangles.) Whenever two arcs cross, four sectors are created. Given an arbitrary orientation of each arc, exactly one of those four sectors will be a convergent or entry sector, as in the diagram above. In wrap-forming the orientation of the arcs is given by the direction of numerical increase, and the weaver usually works with the convergent sector downward, as shown, so that the numbers on both strip segments are easily read.
An edge of the deltahedron is made by overlapping the creases of the two triangle strip segments. The paired-up creases can have one of two orientations in relation to the convergent sector: either the convergent sector lies all on one side of the edge (left in the diagram above) or it straddles the edge (right in the diagram above.) Notice that in the former case the strips cannot lend an orientation to the edge that they are crossing because each arc would vote for a different orientation; only in the straddle case do both arcs agree on an orientation for the edge.
Pankov and Tyc have shown that every triangle in a unicursal deltahedron has either a lone straddle edge (which then suffices to assign an orientation, cw or ccw, to the whole triangle,) or three straddle edges all agreeing on a cw or ccw orientation for the whole triangle. We will call the resulting orientation of a triangle its straddle orientation.
Let’s call a triangle with a lone straddle edge a solo triangle, and a triangle with three straddle edges (always all in agreement,) a unison triangle.
We will not be interested in whether a triangle’s straddle orientation is cw or ccw, per se, rather we will be interested in whether the triangle’s straddle orientation is in concord (or discord) with an entirely different orientation of the triangle.
In a deltahedron, the centerline of a strip of triangles (or indeed any line parallel to the edges of the strip) traces a geodesic of the surface. In a unicursal deltahedron, such a line forms a closed geodesic that visits every triangle three times before closing on itself, running parallel to a different edge on each visit. Since each edge of a triangle can be identified with its opposite vertex, the three visits to a given triangle constitute a cyclic ordering of its vertices, and thereby assigns an orientation to the triangle.
In wrap-forming, the three visits to a triangle result in a first, second, and third layer of material, so we will call this orientation of a triangle its layer orientation. We will use the term concord when straddle and layer orientations agree, discord when they do not.
Pankov and Tyc found that there are just 4 types of triangle face in a unicursal deltahedron (Pankov and Tyc's labels in parentheses):
o = unison and concord (M1)
* = unison and discord (M2)
+ = solo and discord (M3)
- = solo and concord (M4)
We will use the term compatible to mean "this pairing of triangle types yields a unicursal connected sum." Pankov and Tyc found these relations among triangle types:
o is compatible with *, and sometimes with +
* is compatible with o, *, +, -
+ is compatible with *, +, -, and sometimes with o
- is compatible with *, +, -
There is one more issue: Which of the 3 possible relative angular rotations at the place where the two deltahedra meet yields a unicursal connected sum? In Pankov and Tyc the phrase for this is "a homeomorphism g : ∂F → ∂F′ transferring vertices to vertices."
If there is a triangle of star or circle type, {*, o}, involved, relative angular rotation is immaterial. If both triangles are drawn from the set {+, - } then the triangles must be aligned polar-vertex to polar-vertex, where the meaning of "polar-vertex" becomes clear in the two classic exemplars, respectively, of M3 (+) and M4 (-): the triangular bipyramid and the pentangular bipyramid.
Type o (M1) triangles are the only possible barricade to summing two unicursal deltahedra, as any pair of triangles drawn from the set {*, +, -} will be compatible. Tyc has shown that no unicursal deltahedron has exclusively type o triangles for its faces; thus, given two unicursal deltahedra, there is always (up to possible geometric constraints) a way to sum them and get a larger unicursal deltahedron. [Theorem 9, corrollary 3 in Tyc's Doctoral Thesis, Zigzag structure in triangulations of surfaces.]
Using a Galway-type triangle strip, an edge coded 8.11 (because the integer pair begins with its even number) is a non-straddle edge.
In contrast, an edge coded 11.8 (because the integer pair begins with its odd number) is a straddle edge.
Notice that when an edge is straddled the arc that enters on the right makes a left turn. When using the style of triangle strips we used at the Galway Bridges Family Day in August,
strips only turn left at even numbers, so strips of this style make straddle edges when the integer pair in the roadcode is odd.even. Therefore, in discussing triangle types, we can delete from the roadcode all the even.odd integer pairs. We will call the result of that deletion the deltahedron's stradcode.
Here are stradcodes for the smaller unicursal deltahedra. The additional symbols notate the type of triangle that lies on that particular side of the straddle edge. Unison triangles, which would otherwise merit three letters, are here annotated on only the highest integer on their face.
At the terminus of a tetrahelix (a Boerdijk-Coxeter helix of finite length) is a tetrahedron with three vertices at its base which can be individually distinguished by valence: 4-, 5-, and 6-valent.
In a tetrahelix, there are six straight strips of equilateral triangles that trace three types of helical path around the central axis. The three types are conventionally identified by numbers that correspond with their cardinality: there are three helical strips of Type 3 (these wrap slowly around the axis, each covering a third of the triangles,) two helical strips of Type 2 (which wind around the axis more rapidly, each covering half of the triangles,) and a single helical strip of Type 1 (which wraps rapidly around the axis, not missing any triangles.) As useful visual clues, Type 2 strips run parallel to the edges that are just slightly convex, while the single Type 1 strip runs parallel to the edges that are concave.
The rope-like appearance created by the Type 3 strips can serve to classify the tetrahelix, just like a rope, as Z- or S-twist. Without loss of generality we will talk about a Z-twist tetrahelix.
In a Z-twist tetrahelix, the cyclical order of the 4-, 5-, and 6-valent vertices at either end is counterclockwise. The figure above shows diagramatically the edges at the base of the terminal tetrahedron with the vertex valences indicated by bold numerals. The nonbold numerals indicate the type of strip that crosses these edges. The gray arcs show how the strips interconnect.
In the terminal tetrahedron, helical strips connect to each other in the following way (the second time a given connection is listed, it is indented)
CROSSING 4/5:
Type 3 -> Type 2 crossing 5/6.
Type 2 -> Type 1 crossing 6/4
CROSSING 5/6
Type 3 -> Type 3 crossing 6/4
Type 2 -> Type 3 crossing 4/5
CROSSING 6/4
Type 3 -> type 3 crossing 5/6
Type 1 -> Type 2 crossing 4/5
Now consider a tetrahelix of a length (six tetrahedra for example) that makes it unicursal. Since the lone Type 1 strip can only connect to Type 2 strips, a tetrahelix with a unicursal strip must have a 3-leg sequence, 2-1-2. That accounts for half of the total strips. Furthermore, since there is a 3-to-3 connection at each end, but only three Type 3 strips in the tetrahelix, a unicursal strip must have a 3-leg sequence, 3-3-3. All six strips are now accounted for. What remains is to connect these two sequences by the 2-3 connection available at each end, as in the figure above.
Anticipating practical issues, it may not be advantageous to wrap-form a tetrahelix that leaves a Type 3 strip on top as tension in this type of strip does not anchor it very well to the surface. The more tightly wound Type 2 or Type 1 might be a better top layer. In that case, assuming we want the terminal splice to be at one end, the candidate orders are 3-3-3-2-1-2, 1-2-3-3-3-2 or 2-3-3-3-2-1.
The 1-2-3-3-3-2 pattern may be the best for fabrication. The initial Type 1 helical strip can completely cover a cylindical form (where the altitude of the triangles is 1, the diameter of the form needs to be about 0.95.) After the second helical strip (Type 2) is glued down to the first, the cylindrical form can be pulled out. Freed from the form, the concave creases can be forced inward by bending to form an uncompleted tetrahelix, the remaining four passages can be wrap-formed in the usual way.
Tetrahelical struts composed of 29 tetrahedra (BC29) are three times more acurate in terms of angular divergence between the two terminal edges than BC18. If bent around to form a loop, one additional tetrahedron is needed to fill the space above the two mated terminal edges. So BC29 is fundamentally the same structure as the 30 tetrahedron exact rings that can exist in the curved 3D space S3.
BC29 is not unicursal, but it can be made unicursal by adding a 1-tetrahedron side branch at one end without altering its essential strut geometry or interfering with its attachment at nodes.
The wrap-forming technique for unicursal deltahedra motivates interest in strut-and-node construction sets that are composed of unicursal deltahedra. The 18-tetrahedron Boerdijk-Coxeter helix (BC18) is both unicursal and has a relatively small (15 degrees) misalignment between its two terminal edges. The stellated triangular bipyramid (STB) is a unicursal deltahedron with three symmetrically-arranged cavities that can mate with terminal edges of three BC's. It can serve, with some unspecified fastening technology, as a trivalent node joining three BC18's. In the photo above: one tetrahelix strut and two stellated triangular bipyramid nodes.
Since tetrahedral chains always have a choice of 3 triangles where the next tetrahedron will be attached, they can be described by words on the 3-letter alphabet, {-. 0, +}. On a 3-letter alphabet, up to reversals and cyclic rotations, there are only twenty-one 4-letter words. To be a helix, a tetrahedral chain must have a dominant twist. Arbitrarily choosing to prefer a '+' twist, the 4-letter words with the number of '+' greater than 0 and greater than the number of '-' are only eight: '++++', '-+++', '000+', '00++', '0+0+', '0+++', '-0++', '-+0+':
A tetrahedral chain is a particular sort of deltahedron that can be formed step-by-step, incrementally adding a single regular tetrahedron face-to-face at each step, and always adding the new tetrahedron at one of the three most recently added triangular faces. Notice that there is only one shape for three tetrahedra attached together face-to-face: the tritetrahedron or boat polyhedron. That shape can indeed be can be made by chaining tetrahedra, but the chaining process will differ according to which of three triangular faces at the stern of the boat is considered to have been the origin. In the space curve diagrams here, each tetrahedron is represented by a 70.53-degree circular arc---the dihedral angle of a tetrahedron---at the beginning of which a discrete twist of {-120, 0, +120} degrees occurs, depending on which of the three candidate faces is chosen for the attachment. The interest here is in periodic patterns in {-, 0, +} so the exact start and finish are of little consequence.
According to Adam Tyc a tetrahedral chain is at most 3-cursal, and a bit more than half are expected to be unicursal.
On Saturday August 8, 2026, I will be leading an activity at the University of Galway, for the Bridges Math Art Conference Family Day. We will be making deltahedra of various shapes from the same strips of shiny cardboard as above by interpreting numerical codes generated by computer. If you succeed in making a deltahedron, you get to take it home.
Saturday, August 8, 1:00–5:00 pm in various locations in Áras na Mac Léinn, on the campus of the University of Galway.
The tetrahedral graph is a Tait graph of a 3-component link.
Many interesting deltahedra, foremost among them the triangle-faced Platonic solids, are not knotted, so it is worthwhile looking at joining up link components to yield knots. Following Q. Xing, E. Akleman, J. Chen, and J. L. Gross in “Single-cycle plain-woven objects,” 2010 Shape Modeling International Conference, IEEE, pp. 90-99, 2010, we find that a link with n components can be converted to a knot by making n-1 small edits. For example, the tetrahedron, octahedron, and icosahedron with 3, 4, and 6 components, become knotted after 2, 3, and 5 edits respectively.
If an edge of a Tait graph carries two different link components (e.g., every edge in the tetrahedral graph illustrated above), then simply subdividing that edge with a 2-valent vertex will join the two link components into one.
A knotted triangle-faced graph based on the tetrahedral graph.
The edited Tait graph will no longer be a triangle-faced, but this is easily fixed. We can add a pair of parallel edges between the two neighbors of the new vertex (because this is a graphical Reidemeister move that does not alter cursality), and then we change the embedding so that the two parallel edges straddle the subdivided edge (Shank's theorem implies that changing embedding in the plane does not alter unicursality.) Now we have recovered a triangle-faced Tait graph with one less link component. Though the graph is no longer 3-connected, simple, or non-degenerate as a deltahedron, we can nonetheless weave it.
In the tetrahedron, performing this edit on any two edges that share a vertex joins the three link components into one. Road code: 3.6 8.1 9.12 2.13 14.7 15.0 17.1011.18 19.16 21.45.22 23.20, where the four edges in boldface get folded to a 180° dihedral angle.
The 2-eared tetrahedron, a knotted degenerate deltahedron.
The minimal set of edges that must be edited always constitutes a spanning tree in the dual of the Petrial, or DP. The Petrial of the tetrahedron is the hemicube, and the dual of the hemicube is the hemi-octahedron. Since the spanning trees of a graph are independent of its embedding, it suffices to draw the DP in the plane in any convenient way, for the hemi-octahedron that is most simply a triangle with doubled edges.
The hemi-octahedron, the DP of the tetrahedron, drawn as an abstract graph.
Since the last post I have been using Gilles Schaeffer's C program planarmap to randomly sample larger polyhedral triangulations (3-vertex-connected triangulations on the sphere.) For example it took less than half an hour for planarmap to output 108,223 random samples of the 256-triangle polyhedral triangulations, and a bit more than 2 hours for SageMath to sort through them and find that 1,416 of these were unicursal: punicursal ≈ 1.3%.
That sounds disappointing until you look at the actual totals. The integer sequence A000109 at the Online Encyclopedia of Integer Sequences counts polyhedral triangulations by the number of vertices up to 23 vertices (which is 2v-4 = 42 triangles). But at that size and larger, Tutte's asymptote, Q(n), (n is half the number of triangles), is a close approximation of the number of polyhedral triangulations.
For example, the last term available in A000109 is 28615703421545 (2.86 E13) at 23 vertices (42 triangles, n=21), Q(n) = 2.77 E13.
Since we can use Q(n) as an estimate of the total number of polyhedral triangulations of any size, we just need a statistically significant random sample to estimate the total number of those polyhedral triangulations that are unicursal. This approach does come to a stop eventually as the generation of random samples (ever more samples being needed for significance as punicursal -> 0) and testing for non-singularity on larger and larger Laplacian minors bogs down.
But look a the largest size I was able to sample from, triangulations with 256 triangles. That is quite a modest-sized triangulation in the shape modeling world, yet there are on the order of 10115 such triangulations (each topologically distinct) of which on the order of 10113 are unicursal!!
The number of polyhedral triangulations of the sphere having n vertices, starting at n=3, is given by OEIS A000109: 1, 1, 1, 2, 5, 14, 50, 233, 1249, 7595, 49566, 339722, 2406841, 17490241,... The corresponding numbers that are z-knotted, are: 0, 0, 1, 0, 3, 4, 22, 70, 482, 2955, 17907, 114642, 825097, 5843386,... ???
Polyhedral triangulations that are z-knotted (a.k.a., unicursal or single left-right cycle) occur more frequently than intuition might expect. Plantri can generate all polyhedral triangulations up to, say, a couple dozen vertices, and we can test them for unicursality using standard software to count spanning trees. Shank's Theorem (1974) says: Given a connected planar graph G having H(G) spanning trees, G is unicursal if and only if H(G) is odd.
For 3-connected planar triangulations the chart above tells the tale up to 16 vertices, both for the general case and with various caps on maximum vertex degree (that often being a practical necessity.) In the 16-vertex case, the z-knotted fraction is 0.334 in the general case, and nearly unchanged until the cap on vertex degree falls to 6, where the knotted fraction falls to 0.221.
Though these sizeable fractions come as a jolt to intuition, one might also reasonably expect that counts of spanning trees would be odd 50% of the time. Well, not quite.
What happens to these fractions as vertex counts go upward of 10,000 or more? It is hard to reach higher vertex counts while examining each and every graph because the numbers of graphs in each vertex cohort are already immense and growing rapidly. Plantri generates graphs in a fixed order, so there is no way we can get a random sample other than by randomly selecting from the entire generated set. Also, knotted-ness shows a tendency to be more common in the graphs that Plantri generates first.
Though Shank's Theorem applies only to connected planar graphs, let's back out and look at a more general class of graphs. Kirchhoff's Matrix Tree Theorem (1847) applies to any sort of graph, connected, disconnected, multigraph or simple. The Matrix Tree Theorem says we can get the count of spanning trees in a graph by calculating the determinant of any minor of a matrix called the Laplacian (which is just the graph's adjacency matrix multiplied by -1, with the diagonal elements filled in with the degree of that respective vertex.) Since we are only interested in the parity of the determinant, all the values in the Laplacian can be mod 2 reduced to 0 or 1, and likewise the calculations of the determinate can be done in mod 2 arithmetic (where, for example, there is no distinction between addition and subtraction!)
The Laplacian of an arbitray graph on n vertices, even after it is reduced to mod 2, not a random integer matrix since the elements on the diagonal have the parity of the sum of the other elements sharing that row or column. For that reason a minor of the Laplacian is not truly random but close.
The probability that the determinant of a random n x n integer matrix is odd rapidly approaches 0.28879 as n goes to infinity.
Since the odds that the determinant a (large) random integer matrix is odd is 0.28879 (a.k.a., φ(1/2), the Euler function evaluated at 1/2,) Kirchhoff's Theorem is a solid reason to expect that unicursal graphs of any variety will not be scarce, nonetheless, not as common as the 50% that Shank's Theorem might lead us naively to expect.
Taking the dual does not change the cursality of a plane graph; it will be more convenient to study the duals of the 3-connected planar triangulations. Quoting from the OEIS page for A000109, "Every planar triangulation on n >= 4 vertices is 3-connected, and its dual graph is a 3-connected cubic planar graph on 2n-4 vertices." So we will be looking at 7-3 through a Laplacian matrix with 2*7-4 = 10 columns and rows, and ultimately through a minor with 9 columns and rows.
For Plantri 7-3: the Laplacian matrix and a submatrix of the Laplacian along with the value of its determinant.
For Plantri 7-3: the Laplacian matrix, minor, and determinant after modding by 2.
The Laplacian of a 3-regular graph is not random; nor is it after modding by 2; nor after forming the submatrix. The submatrix is what concerns us. Like the Laplacian, the minor has 1's along its diagonal and plus 3 additional 1's in each row (and column), but only 2 additional 1's in the 3 rows (and 3 columns) that got robbed when a row and column were taken away. The 1's on the diagonal just make the problem smaller at a given n, so they probably do not affect the limit. Likewise the effect of trimming off a row and column is unlikely to materially affect the properties of large matrices. The other big thing that separates 3-regular graphs' Laplacian minors from random binary matrices of the same size is sparseness. The Plantri 7-3 minor is already down to (4*9 - 3)/9^2 or 41% non-zero elements, so a sparsity of 59%. For Plantri 16-3 (below), there are 28 rows in the Laplacian and the density of the minor is down to 27*4-3/27^2 = 0.144, so a sparsity of 86%.
In a triangulation of the sphere, a triangle strip can be seen as sort of topological geodesic, an attempt to travel as straight as possible within the given constraints. Notice that both the sequence of shared triangle edges (black) and the edges of the dual graph that connect the triangle centers (green) are zigzag paths, alternating hard-right with hard-left turns.
In a triangulation of the sphere, a triangle strip (above) is a sort of topological geodesic, an attempt to traverse the triangulation along a path as straight as possible without regard to lengths and angles.
Suppose we start at an arbitrary triangle in the triangulation and head off in one of the three possible directions, and from then on we stay in our triangle lane. What happens?
Clearly the strip must eventually loop back on itself since the sphere has no boundary that the strip could end at, and the number of triangles is not infinite. What is the chance our randomly chosen lane will visit every triangle exactly three times and then repeat? Seems a long shot...but apparently not. The chance of this happening is about one in three no matter how complicated the triangulation. A triangulation with such a triangle strip is termed z-knotted (z for zigzag.)
About 1/3 of spherical triangulations are z-knotted (a.k.a., unicursal). The integer sequence of spherical triangulations on n vertices is OEIS A000109.
Most of the numbers in the chart above were first published in 2004 in "Zigzags, Railroads, and Knots in Fullerenes," by M. Deza, M. Dutour, and P. W. Fowler. Below is their chart for triangulations of the sphere.
Z-knottedness in trivalent polyhedra and their dual triangulations. Chart from Deza, Dutour and Fowler.
Our 'n' counts vertices in the triangulation, while the 'n' in Deza, Dutour, and Fowler counts vertices in the dual 3-valent graph: a triangulation with n vertices has a dual with 2n-4 vertices (see the OEIS link above,) so the two charts are identical as far as they go.
Deza, Dutour and Fowler also looked at the same question restricted to fullerenes which is equivalent to restricting spherical triangulations to vertex degrees 5 and 6. The triangulations dual to the largest fullerenes they investigated have (74+4)/2 = 39 vertices, and all vertex degrees in {5, 6}.
Z-knottedness in fullerenes and their dual triangulations. Chart from Deza, Dutour and Fowler.
In this restricted class of spherical triangulations they found a z-knotted fraction of 1970/14246 = 0.138, about 14%. So z-knotted triangulation on the sphere are quite common even if technological constraints on vertex degrees make them somewhat less common.